Public Member Functions | Private Attributes | List of all members
libcdr::CDRPathOutputElement Class Reference
Inheritance diagram for libcdr::CDRPathOutputElement:

## Public Member Functions
| CDRPathOutputElement (const librevenge::RVNGPropertyList &propList)
| ~CDRPathOutputElement () override
void | draw (librevenge::RVNGDrawingInterface *painter) override
Public Member Functions inherited from libcdr::CDROutputElement
| CDROutputElement ()
virtual | ~CDROutputElement ()

## Private Attributes
librevenge::RVNGPropertyList | m_propList

## Constructor & Destructor Documentation

## ◆ CDRPathOutputElement()

libcdr::CDRPathOutputElement::CDRPathOutputElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ ~CDRPathOutputElement()

libcdr::CDRPathOutputElement::~CDRPathOutputElement | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ draw()

void libcdr::CDRPathOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| override virtual

Implements libcdr::CDROutputElement.

## Member Data Documentation

## ◆ m_propList

librevenge::RVNGPropertyList libcdr::CDRPathOutputElement::m_propList
| private

Referenced by draw().

The documentation for this class was generated from the following file:

- CDROutputElementList.cpp